Errore durante l'esecuzione di Setup /PrepareSchema per preparare lo schema per un ambiente ibrido Exchange esistente

IMPORTANTE: il presente articolo è stato tradotto tramite un software di traduzione automatica di Microsoft ed eventualmente revisionato dalla community Microsoft tramite la tecnologia CTF (Community Translation Framework) o da un traduttore professionista. Microsoft offre articoli tradotti manualmente e altri tradotti automaticamente e rivisti dalla community con l’obiettivo di consentire all'utente di accedere a tutti gli articoli della Knowledge Base nella propria lingua. Tuttavia, un articolo tradotto automaticamente, anche se rivisto dalla community, non sempre è perfetto. Potrebbe contenere errori di vocabolario, di sintassi o di grammatica. Microsoft declina ogni responsabilità per imprecisioni, errori o danni causati da una traduzione sbagliata o dal relativo utilizzo da parte dei clienti. Microsoft aggiorna frequentemente il software e gli strumenti di traduzione automatica per continuare a migliorare la qualità della traduzione.

Clicca qui per visualizzare la versione originale in inglese dell’articolo: 3121439
PROBLEMA
Quando si runExchange Server di installazione con il toupdate /PrepareSchemalo schema per un ambiente ibrido Exchange esistente, viene visualizzato il seguente messaggio di errore:
È stata rilevata una distribuzione ibrido con Office 365. Assicurarsi di eseguire il programma di installazione con l'opzione /TenantOrganizationConfig. Per utilizzare l'opzione TenantOrganizationConfig è necessario connettere il tenant Exchange Online tramite PowerShell ed eseguire il comando seguente: "Get-OrganizationConfig | Esportazione-Clixml-MyTenantOrganizationConfig.XML percorso ". Una volta che il file XML è stato generato, eseguire l'installazione con l'opzione TenantOrganizationConfig come indicato di seguito "/ TenantOrganizationConfig MyTenantOrganizationConfig.XML".

Se si continua a visualizzare questo messaggio indica che il file XML specificato è danneggiato o si sta tentando di aggiornare l'installazione di Exchange locale a una generazione che non è compatibile con la versione di Exchange di tenant di Office 365. Il tenant di Office 365 devono essere aggiornati a una versione compatibile di Exchange prima di aggiornare l'installazione di Exchange locale.
Quando si seguono le istruzioni riportate nel messaggio di errore per generare il file XML e quindi eseguireSetup /PrepareSchema con l'opzione /TenantOrganizationConfig , viene visualizzato il seguente messaggio di errore:
Il parametro 'TenantOrganizationConfig' non è valido per l'operazione corrente 'PrepareSchema'. Installazione di controlli non riusciti: gli argomenti della riga di comando non valido.
CAUSA
L'opzione/PrepareSchemaè valida solo per le operazioni dello schema. L'opzione/TenantOrganizationConfigviene utilizzata con l'opzione/PrepareAD .
SOLUZIONE
Per risolvere questo problema, eseguire l'installazione con il / switch/PrepareADe /TenantOrganizationConfig. Ad esempio, eseguire il comando seguente:
Setup.exe /PrepareAD /TenantOrganizationConfig MyTenantOrganizationConfig.xml /IAcceptExchangeServerLicenseTerms
Nota In questo scenario, viene eseguita in modo implicito estensione dello schema eseguendo l'opzione/PrepareAD/. Pertanto, per completare questa procedura, è necessario disporre dei diritti di amministratore dello Schema per eseguire le modifiche allo schema oltre i diritti necessari eseguire i passaggi/PrepareAD .
ULTERIORI INFORMAZIONI
Per ulteriori informazioni, vedere Preparare Active Directory e domini.

Ulteriore assistenza? Vai alCommunity di Office 365 sito Web o il TechNetForums di Exchange.

Avviso: questo articolo è stato tradotto automaticamente

Proprietà

ID articolo: 3121439 - Ultima revisione: 12/10/2015 20:12:00 - Revisione: 4.0

Exchange Server 2016 Enterprise Edition, Exchange Server 2016 Standard Edition, Microsoft Exchange Server 2013 Enterprise, Microsoft Exchange Server 2013 Standard, Microsoft Exchange Online

  • o365022013 o365 o365a o365e o365m hybrid kbmt KB3121439 KbMtit
Feedback